Subject: Re: bug#67470: 29.1; move-end-of-line behaves badly with eglot type annotations

From: João Távora <[email-masked]>
Date: Mon, 27 Nov 2023 13:42:32 +0000

On Mon, Nov 27, 2023 at 1:38 PM João Távora <[email-masked]> wrote:

> You can try in the scratch buffer with your own overlay at the
> end of the line with a before-string property that has the 'cursor'
> property set to 1 at the first character.

If you need some Elisp code, this seems to do it in the usual
starting scratch buffer contents:

(let ((o (make-overlay (line-end-position) (1+ (line-end-position)))))
  (overlay-put o 'before-string (propertize "HEYHO" 'cursor 1)))